package com.ywt.outpatient.taihe.rpc.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 医生ID对码表（内部系统的医生ID与医院HIS系统的医生编码关联表）(DoctorHisCode)实体类
 *
 * @author makejava
 * @since 2019-04-29 10:58:32
 */
@Entity
@Table(name = "doctor_his_code")
public class DoctorHisCode implements Serializable {
    private static final long serialVersionUID = 903484677680110503L;
    
        
    @Id
    @Column(name = "id")
    private Integer id;
    
    //医生Id
    @Column(name = "doctor_id")
    private Integer doctorId;
    //医院Id
    @Column(name = "hospital_id")
    private Integer hospitalId;
    //科室编码
    @Column(name = "dept_code")
    private String deptCode;
    //医生HIS系统编码
    @Column(name = "his_code")
    private String hisCode;
    //医生名称
    @Column(name = "doctor_name")
    private String doctorName;
    
    @Column(name = "deleted")
    private Boolean deleted;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getHisCode() {
        return hisCode;
    }

    public void setHisCode(String hisCode) {
        this.hisCode = hisCode;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

}